Bug 4637 - HIG: Use of 'Two-touch' and 'Long tap' not well defined
: HIG: Use of 'Two-touch' and 'Long tap' not well defined
Status: RESOLVED FIXED
Product: Developer Guide
maemo.org wiki
: 5.0-beta
: All Maemo
: Medium normal with 1 vote (vote)
: ---
Assigned To: Jarmo Tikka
: documentation@maemo.org
: http://maemo.org/api_refs/5.0/beta/hi...
:
:
:
  Show dependency tree
 
Reported: 2009-06-05 11:17 UTC by Cornelius Hald
Modified: 2010-05-17 16:28 UTC (History)
4 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Cornelius Hald (reporter) 2009-06-05 11:17:15 UTC
In the HIG[1] the distinction between a 'Two-touch' and a 'Long tap' is not
clear. 
Both _can_ be used to bring up a context menu, but it not defined which one
_should_ be used to bring up a context menu or what other uses are recommended.

[1] http://maemo.org/api_refs/5.0/beta/hig/html/ch07s02.html#input-soft-keys
Comment 1 Claudio Saavedra 2009-06-10 08:48:04 UTC
I'm not sure why double-tap is even mentioned, so I dropped it and partially
rewrote the long-touch section to emphasize that it's the recommended way to
bring out a context-sensitive menu. 

commit 027b498414934942258905408fc4106e8883502e
Author: Claudio Saavedra <csaavedra@igalia.com>
Date:   Wed Jun 10 08:45:08 2009 +0300

    Fix double-tap/long-touch ambiguity in the HIG

    Do not mention double-tap, since it is not really recommended/used in
    Fremantle. Long-touch is the prefered way to bring out a context-sensitive
    menu.
Comment 2 Cornelius Hald (reporter) 2009-07-14 13:32:26 UTC
The two-touch is back. This time in the wiki:
http://wiki.maemo.org/Documentation/Maemo_5_Developer_Guide/Human_Interface_Guidelines/User_Input#Two-Touch

I have no idea whether or not this page was created from "official" side. So
I´m reopening.
Comment 3 Jarmo Tikka nokia 2009-12-28 16:55:17 UTC
Hildon UI Guides (those PDF documents here
http://wiki.maemo.org/Documentation/Maemo_5_Developer_Guide) will deprecate
HIG. Have you checked is these different tabs have been documented in those
guides? If not this needs to be moved to the Graphical UI Tutorial as HIG dill
be dropped. It overlaps too much with these Hildon UI Guides:

# Master Layout Guide
# Hildon 2.2 UI Style Guide
# Hildon 2.2 Widget UI Specification
# Maemo 5 Desktop Widget UI Guidelines
Comment 4 Cornelius Hald (reporter) 2009-12-28 18:19:26 UTC
If the document I mentioned is now depricated, feel free to close this bug. I
can't look through all documents mentioned by you ATM, because the N900 pdf
viewer has no search function :/
Comment 5 Jarmo Tikka nokia 2009-12-29 14:52:21 UTC
Then you have to wait until we have Fremantle Developer Guide HTML (and PDF and
MediaWiki :) version ready and published...
Comment 6 Cornelius Hald (reporter) 2010-03-30 15:39:22 UTC
(In reply to comment #3)
> # Master Layout Guide
> # Hildon 2.2 UI Style Guide
> # Hildon 2.2 Widget UI Specification
> # Maemo 5 Desktop Widget UI Guidelines 

I´ve searched those documents for "two touch" and "two-touch". Couldn´t find
anything, so I´m closing this bug.
Comment 7 Andre Klapper maemo.org 2010-05-17 16:28:50 UTC
[Rearrangement of Documentation bug reports.]
Mass-moving old closed Developer Platform > Documentation tickets.
You can filter bugmail by searching for this comment.